# Class ArrayDataReader

java.lang.Object
java.io.Reader
java.io.BufferedReader
javajs.util.DataReader
javajs.util.ArrayDataReader

All Implemented Interfaces:
  `Closeable, AutoCloseable, Readable`

public class ArrayDataReader extends DataReader
ArrayDataReader subclasses BufferedReader and overrides its read, readLine, mark, and reset methods so that JmolAdapter works with String[] arrays without any further adaptation.

## Field Summary

### Fields inherited from class DataReader

`ptMark`

### Fields inherited from class Reader

`lock`

## Constructor Summary

Constructors
Constructor
Description
`ArrayDataReader()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mark(long ptr)`
`int`
`read(char[] buf, int off, int len)`
`String`
`readLine()`
`void`
`reset()`
`DataReader`
`setData(Object data)`

### Methods inherited from class DataReader

`getBufferedReader, readBuf`

### Methods inherited from class BufferedReader

`close, lines, mark, markSupported, read, ready, skip`

### Methods inherited from class Reader

`nullReader, of, read, read, readAllAsString, readAllLines, transferTo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArrayDataReader

public ArrayDataReader()

## Method Details

### setData

public DataReader setData(Object data)

Specified by:
  `setData` in class `DataReader`

### read

public int read(char[] buf, int off, int len) throws IOException

Overrides:
  `read` in class `BufferedReader`
Throws:
  `IOException`

### readLine

public String readLine()

Overrides:
  `readLine` in class `BufferedReader`

### mark

public void mark(long ptr)

Parameters:
  `ptr` -

### reset

public void reset()

Overrides:
  `reset` in class `BufferedReader`